NDP(8)

NAME
ndp - control/diagnose IPv6 Neighbor Discovery Protocol (NDP)

SYNOPSIS
ndp [-nrt] [-a | -c | -p] [-H | -P | -R] [-A wait] [-d hostname] [-f filename] [-i interface [flag ...]] [-s nodename ether_addr [temp] [proxy]] [-V rdomain] [hostname]

DESCRIPTION
The ndp command manipulates the address mapping table used by the Neighbor Discovery Protocol (NDP).

-A wait
    Repeat -a (dump NDP entries) every wait seconds.

-a  Dump the currently existing NDP entries. The following information will be printed:

    Neighbor
        The IPv6 address of the neighbor.

    Linklayer Address
        The linklayer address of the neighbor. If the address is not available, it will be displayed as “(incomplete)”.

    Netif
        The network interface associated with the neighbor cache entry.

    Expire
        The time until expiry of the entry. If the entry is marked “permanent”, it will never expire.

    S   The state of the neighbor cache entry, as a single letter:

        D   Delay
        I   Incomplete
        N   Nostate
        P   Probe
        R   Reachable
        S   Stale
        W   Waitdelete
        ?   Unknown state (should never happen).

    Flags
        Flags on the neighbor cache entry, in a single letter. They are: local (‘l’), Router (‘R’) and proxy neighbor advertisement (‘p’). This field may be followed by a decimal number, representing the number of NS probes the node has sent during the current state.

-c  Erase all the NDP entries.

-d hostname
    Delete the specified NDP entry.

-f filename
    Parse entries from file to be inserted in the neighbor cache. See the -s option for a description of the file format.

-H  Harmonize consistency between the routing table and the default router list; install the top entry of the list into the kernel routing table.

-i interface [flag ...]
    View ND information for the specified interface. If additional arguments are given, ndp sets or clears the specified flags for the interface. Each flag should be separated by whitespace or tab characters. Possible flags are as follows. All of the flags can begin with the special character ‘-’, which means the flag should be cleared. Note that -- would be needed before -foo in this case.

    nud Turn on or off NUD (Neighbor Unreachability Detection) on the interface. NUD is usually turned on by default.

    accept_rtadv
        Specify whether or not to accept Router Advertisement messages received on the interface. Note that the kernel does not accept Router Advertisement messages unless the interface is configured for inet6 autoconfiguration.

-n  Do not try to resolve numeric addresses to hostnames.

-P  Flush all the entries in the prefix list.

-p  Show the prefix list.

-R  Flush all the entries in the default router list.

-r  Show the default router list.

    -s nodename ether_addr [temp] [proxy] Register an NDP entry for the node called nodename with the Ether address ether_addr. The Ethernet address is given as six hexadecimal bytes separated by colons. The entry will be permanent unless the word temp is given in the command. If the word proxy is given, this system will act as an ND Proxy server, responding to requests for nodename even though the node address is not its own.

-t  Print a timestamp on each entry, making it possible to merge output with tcpdump(8). Most useful when used with -A.

-V rdomain
    Set the routing domain to be used. The default is 0.

EXIT STATUS

SEE ALSO
ip6(4), sysctl.conf(5), arp(8), sysctl(8), tcpdump(8)

HISTORY
The ndp command first appeared in the WIDE Hydrangea IPv6 protocol stack kit.